### Method

# St ThemeNode get_url

#### Declaration [src]

    GFile*
    st_theme_node_get_url (
      StThemeNode* node,
      const char* property_name
    )

#### Description [src]

Looks up a property containing a single URL value.

See also st_theme_node_lookup_url(), which provides more options, and lets you handle the case where the theme does not specify the indicated value.

#### Parameters

`property_name`

  Type: `const char*`

  The name of the string property.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GFile`

The newly allocated value if found. If `property_name` is not found, a warning will be logged and `NULL` will be returned.

The caller of the method takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.